AntdocTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.doc.AntdocTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.doc
Class AntdocTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.doc.AntdocTagsHandler

Direct Known Subclasses:
  MavenpluginTagsHandler

public class AntdocTagsHandler
extends XDocletTagSupport

This tag handler is used to generate Ant documentation

Version:
  $Revision: 1.10 $
Author:
  Aslak Hellesoy
xdoclet.taghandler
  namespace="Antdoc"
created
  13. juni 2002

Field Summary
`protected AntdocSubTask.Element` | `docElement` The element being documented
`protected AntdocSubTask.SubElement` | `subElement` Current parent or child element

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`AntdocTagsHandler()`

Method Summary
`String` | `elementName()` The name of the current element.
`String` | `enumerateValues()` List the possible values for the current method.
`void` | `forAllSubElements(String template)` Generate the tag's body for each of the current element's sub-elements.
`void` | `ifHasSubElements(String template)` Generate the tag's body if the current element has any sub-elements.
`String` | `required()` The Required status (i.e.
`String` | `rootlink()` Links to the root folder.
`void` | `setDocElement(AntdocSubTask.Element antElement)`
`String` | `subElementDescription()` The description of the current sub-element.
`String` | `subElementLink()` Links to the documentation page of a nested sub-element.
`String` | `subElementName()` The name of the current sub-element.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docElement

    protected AntdocSubTask.Element docElement

  The element being documented

### subElement

    protected AntdocSubTask.SubElement subElement

  Current parent or child element

Constructor Detail

### AntdocTagsHandler

    public AntdocTagsHandler()

Method Detail

### setDocElement

    public void setDocElement(AntdocSubTask.Element antElement)

### subElementName

    public String subElementName()
                          throws XDocletException

  The name of the current sub-element.

  Returns:
    name
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### elementName

    public String elementName()
                       throws XDocletException

  The name of the current element.

  Returns:
    name
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### ifHasSubElements

    public void ifHasSubElements(String template)
                          throws XDocletException

  Generate the tag's body if the current element has any sub-elements.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### forAllSubElements

    public void forAllSubElements(String template)
                           throws XDocletException

  Generate the tag's body for each of the current element's sub-elements.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### subElementDescription

    public String subElementDescription()

  The description of the current sub-element.

  Returns:
    description
  doc.tag
    type="content"

### required

    public String required()

  The Required status (i.e. is it mandatory or optional) of an attribute. Uses the value text if it is present, otherwise defaults to "Yes." or "No." depending on whether an \@ant.required or \@ant.not-required tag is found.

  Returns:
    required
  doc.tag
    type="content"

### rootlink

    public String rootlink()

  Links to the root folder. Only required to generate links to CSS.

  Returns:
    link
  doc.tag
    type="content"
  To do:
    refactor this. It's copied more or less from InfoTagsHandler

### subElementLink

    public String subElementLink()

  Links to the documentation page of a nested sub-element.

  Returns:
    link
  doc.tag
    type="content"

### enumerateValues

    public String enumerateValues()
                           throws XDocletException

  List the possible values for the current method. The property must be an Ant `EnumeratedAttribute`.

  Returns:
    Comma-separated list of values
  Throws:
    `XDocletException`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD